Package org.pushingpixels.substance.internal.plugin

# Interface SubstanceSkinPlugin

All Superinterfaces:
  `org.pushingpixels.lafplugin.LafPlugin`

All Known Implementing Classes:
  `BaseSkinPlugin`

public interface SubstanceSkinPlugin extends org.pushingpixels.lafplugin.LafPlugin
Plugin for skin extension. This class is for internal use only.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TAG_SKIN_PLUGIN_CLASS`
XML tag that contains fully-qualified class name of skin plugin class.

### Fields inherited from interface org.pushingpixels.lafplugin.LafPlugin

`TAG_MAIN`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDefaultSkinClassName()`
Returns the class name of the default skin.
`Set<SkinInfo>`
`getSkins()`
Returns information on all available skins in `this` plugin.

## Field Details

### TAG_SKIN_PLUGIN_CLASS

static final String TAG_SKIN_PLUGIN_CLASS
XML tag that contains fully-qualified class name of skin plugin class.

See Also:
  - Constant Field Values

## Method Details

### getSkins

Set<SkinInfo> getSkins()
Returns information on all available skins in `this` plugin.

Returns:
  Information on all available skins in `this` plugin.

### getDefaultSkinClassName

String getDefaultSkinClassName()
Returns the class name of the default skin.

Returns:
  The class name of the default skin.